#include "SM_SysPch.h"
#include "MVFSStdio.h"




// Nombre      : 
// Parametros  : 
// Retorno     : 
// Descripcion : 
int MVFSFILEStdio::fopen(const char* pcFileName, const char* pcFileAttrib)
{
  f=::fopen(pcFileName, pcFileAttrib);
  if (!f)
  {
    return (-1);
  }

  return (0);
}

// Nombre      : 
// Parametros  : 
// Retorno     : 
// Descripcion : 
int MVFSFILEStdio::fclose()
{
  return (::fclose(f));
}

// Nombre      : 
// Parametros  : 
// Retorno     : 
// Descripcion : 
unsigned MVFSFILEStdio::fread(void * pvDest, size_t uItemSize, size_t uItem)
{
  return (::fread(pvDest, uItemSize, uItem, f));
}

// Nombre      : 
// Parametros  : 
// Retorno     : 
// Descripcion : 
unsigned MVFSFILEStdio::fwrite(void * pvSrc,  size_t uItemSize, size_t uItem)
{
  return (::fwrite(pvSrc, uItemSize, uItem, f));
}

// Nombre      : 
// Parametros  : 
// Retorno     : 
// Descripcion : 
int MVFSFILEStdio::ftell()
{
  return (::ftell(f));
}

// Nombre      : 
// Parametros  : 
// Retorno     : 
// Descripcion : 
int MVFSFILEStdio::fseek(long lDisplace, int iRelative)
{
  return (::fseek(f, lDisplace, iRelative));
}


// Nombre      : 
// Parametros  : 
// Retorno     : 
// Descripcion : 
int MVFSFILEStdio::fprintf(const char* pcDString)
{
  return (::fprintf(f, pcDString));
}

// Nombre      : 
// Parametros  : 
// Retorno     : 
// Descripcion : 
int MVFSFILEStdio::fflush()
{
  return (::fflush(f));
}

// Nombre      : 
// Parametros  : 
// Retorno     : 
// Descripcion : 
char* MVFSFILEStdio::fgets(char* pcBuffer, int iBufferSize)
{
  return (::fgets(pcBuffer, iBufferSize, f));
}

